CS::Math::Projections Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions
CS::Math::Projections Struct Reference

Helpers to create standard projections. More...

`#include <csgeom/projections.h>`

List of all members.

## Static Public Member Functions
static Matrix4 | CSPerspective (float viewWidth, float viewHeight, float shiftX, float shiftY, float invAspect, float nearClip=0.1f)
| Create a perspective projection as used by CS.
static Matrix4 | Frustum (float left, float right, float bottom, float top, float nearz, float farz)
static Matrix4 | Ortho (float left, float right, float bottom, float top, float nearz, float farz)
| Create an orthographic projection.

## Detailed Description

Helpers to create standard projections.

Definition at line 38 of file projections.h.

## Member Function Documentation

static Matrix4 CS::Math::Projections::CSPerspective | ( | float | viewWidth,
|  | float | viewHeight,
|  | float | shiftX,
|  | float | shiftY,
|  | float | invAspect,
|  | float | nearClip = `0.1f`
| ) |  | `[inline, static]`

Create a perspective projection as used by CS.

Definition at line 58 of file projections.h.

static Matrix4 CS::Math::Projections::Frustum | ( | float | left,
|  | float | right,
|  | float | bottom,
|  | float | top,
|  | float | nearz,
|  | float | farz
| ) |  | `[inline, static]`

See also:
  glFrustum

Definition at line 85 of file projections.h.

static Matrix4 CS::Math::Projections::Ortho | ( | float | left,
|  | float | right,
|  | float | bottom,
|  | float | top,
|  | float | nearz,
|  | float | farz
| ) |  | `[inline, static]`

Create an orthographic projection.

left is mapped to x=-1, right to x=1, bottom to y=-1 and top to y=1. nearz specifies the near clipping distance, farz the far clipping distance.

See also:
  glOrtho

Definition at line 46 of file projections.h.

The documentation for this struct was generated from the following file:

- csgeom/projections.h